<%@ Page language="c#" Inherits="mlb_gui.FileManager"  %>

<%@ Register TagPrefix="MyLittleBackup" TagName="MetaHeader" Src="../common/metaheader.ascx" %>
<%@ Register TagPrefix="MyLittleBackup" TagName="PageHeader" Src="../common/pageheader.ascx" %>
<%@ Register TagPrefix="MyLittleBackup" TagName="WaitingBox" Src="../common/mlawaitingbox.ascx" %>
<%@ Register TagPrefix="MyLittleBackup" Namespace="MyLittleBackup" Assembly="mlb" %>
<%@ Register TagPrefix="radU" Namespace="Telerik.WebControls" Assembly="RadUpload.NET2" %>

<MyLittleBackup:MetaHeader id="metaheader" DefaultXmlFile="../xml/defaultheader.xml" runat="server" />

<body onload="content_resize();">	

	<form runat="server" id="mainForm" enctype="multipart/form-data">
		<div id="zFullZone"><div id="zFullZone_1">

			<MyLittleBackup:PageHeader 
				id="pageheader" 
				runat="server" 
			/>		

			<div id="zPageContent"><div id="zPageContent_Container" runat="server">				

				<MyLittleBackup:WaitingBox 
					id="WaitingBox"
					runat="server" 
				/>

				<div id="zForm_Container">
					
					<MyLittleBackup:MlaTab
						id="zTabs"
						runat="server"
					/>

					<div id="zTab_General" class="zonetab">

						<div id="zStep1" runat="server">
							<asp:Image id="iStep1" runat="server" /><asp:Label id="lStep1" runat="server" />
							<div id="zHelpStep1" runat="server" />		
							<div id="zFormStep1" runat="server" >
								<MyLittleBackup:MlaFormElement
									id="fDatabase"
									CssClass="mediumcontrol"
									LabelCssClass="classic"
									Type="DropDownList"
									runat="server"
								/>	
							</div>
						</div>

						<div id="zStep2" runat="server">
							<asp:Image id="iStep2" runat="server" /><asp:Label id="lStep2" runat="server" />
							<div id="zHelpStep2" runat="server" />		
							<div id="zFormStep2" runat="server" >
								<div id="zInfoStep2" runat="server" />
								<div style="clear:both; margin-top: 10px;">
									<asp:Button Text="Ok" id="btnStep2Ok" class="shortcontrol" onclick="btnStep2Ok_Click" runat="server" />
								</div>
							</div>
						</div>

						<div id="zStep3" runat="server">
							<asp:Image id="iStep3" runat="server" /><asp:Label id="lStep3" runat="server" />
							<div id="zHelpStep3" runat="server" />		
							<div id="zFormStep3" runat="server" >
								<div id="zInfoStep3" runat="server" />
								<asp:RadioButton id="rbRestore" groupname="rbFolder" runat="server" /><br />
								<asp:RadioButton id="rbBackup" groupname="rbFolder" runat="server" /><br /><br />
								<asp:Button Text="Ok" id="btnStep3Ok" class="shortcontrol" onclick="btnStep3Ok_Click" runat="server" />
							</div>
						</div>

						<div id="zStep4" runat="server">
							<asp:Image id="iStep4" runat="server" /><asp:Label id="lStep4" runat="server" />
							<div id="zHelpStep4" runat="server" />		
							<div id="zFormStep4" runat="server" >
								<div id="zInfoStep4" runat="server" />
								<div>
								<MyLittleBackup:MlaFileManager
									id="oFileManager"
									GridCssClass="filemanager"
									HeaderCssClass="tblpropheader"
									runat="server"
								/>
								</div>
								<div id="zUpload" runat="server">
									<asp:Label id="lUpload" for="fFile" class="classic" runat="server" /><br />
									<input type="file"
										id="fFile" 
										class="verylongcontrol" 
										runat="server" 
									/><br />
									<asp:Button Text="Upload" id="btnUpload" class="shortcontrol" onclick="btnUpload_Click" runat="server" />
									<!-- RAD UPLOAD -->
									<radu:radprogressmanager id="Radprogressmanager1" runat="server" />
									<radu:radprogressarea id="RadProgressArea1" runat="server" />
									<!-- RAD UPLOAD -->
								</div>
							</div>
						</div>

					</div>
					<div id="zTab_Messages" class="zonetab">
						<div id="zMessage" runat="server" />
					</div>
				</div>

			</div></div>
			
		</div></div>
	</form>

</body>
</html>
